/**
 * PDF Download Button Styles
 */

#pdf-download-button {
  display: flex;
  width: fit-content;
  align-items: center;
  justify-content: space-between;
  gap: 12px;
  background-color: #1d1d1f;
  color: #ffffff;
  padding: 12px 24px;
  border-radius: 24px;
  cursor: pointer;
  margin: 28px 0 28px 0;
}

#pdf-download-button .pdf-button-text {
  flex: 1;
  color: #ffffff;
  font-size: var(--bt1-size);
  line-height: var(--bt1-height);
  font-weight: 700;
  text-decoration: none;
}

#pdf-download-button .pdf-button-icon {
  flex-shrink: 0;
  width: 24px;
  height: 24px;
}

@media (max-width: 1024px) {
  #pdf-download-button .pdf-button-text {
    font-size: var(--bt1-size-tablet);
    line-height: var(--bt1-height-tablet);
  }
}

/* Responsive Design */
@media (max-width: 768px) {
  #pdf-download-button .pdf-button-text {
    font-size: var(--bt1-size-mobile);
    line-height: var(--bt1-height-mobile);
  }
}
